package jalview.structure;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertFalse;
import static org.testng.Assert.assertTrue;

import org.testng.annotations.Test;

public class StructureCommandTest
{
  @Test(groups = "Functional")
  public void testEquals()
  {
    StructureCommand sc1 = new StructureCommand("open");
    assertTrue(sc1.equals(sc1));
    assertTrue(sc1.equals(new StructureCommand("open")));
    assertFalse(sc1.equals(null));
    assertFalse(sc1.equals(new StructureCommand("Open")));
    assertFalse(sc1.equals("Open"));

    StructureCommand sc3 = new StructureCommand("Open", "file",
            "/some/path");
    StructureCommand sc2 = new StructureCommand("Open", "file",
            "/some/path");
    assertFalse(sc1.equals(sc2));
    assertTrue(sc3.equals(sc2));
    assertEquals(sc2.hashCode(), sc3.hashCode());
    assertFalse(
            new StructureCommand("Open file", "/some/path").equals(sc2));
  }
}
